| Boost.Locale

Classes | Public Member Functions | Static Public Member Functions | List of all members
boost::locale::utf8_codecvt< CharType > Class Template Reference

Generic utf8 codecvt facet, it allows to convert UTF-8 strings to UTF-16 and UTF-32 using wchar_t, char32_t and char16_t. More...

`#include <boost/locale/utf8_codecvt.hpp>`

Inheritance diagram for boost::locale::utf8_codecvt< CharType >:

## Classes
struct | state_type

## Public Member Functions
| utf8_codecvt (size_t refs=0)

## Static Public Member Functions
static int | max_encoding_length ()
static state_type | initial_state (generic_codecvt_base::initial_convertion_state)
static utf::code_point | to_unicode (state_type &, const char *&begin, const char *end)
static utf::len_or_error | from_unicode (state_type &, utf::code_point u, char *begin, const char *end)

## Detailed Description

template<typename CharType>
class boost::locale::utf8_codecvt< CharType >

Generic utf8 codecvt facet, it allows to convert UTF-8 strings to UTF-16 and UTF-32 using wchar_t, char32_t and char16_t.

The documentation for this class was generated from the following file:

- boost/locale/utf8_codecvt.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.